%% SpecGen
% One or two design waves can be translated into a spectrum.

clc
clear
close all
fclose('all');

% Creating structure for all the information
global handles
handles=struct;
handles.specgen.fig1=figure('Menubar','none','Name','SpecGen','NumberTitle','off','Tag','spectrumgen');
%handles.specgen.modeltext=annotation(handles.specgen.fig1,'textbox','EdgeColor','none','FontSize',30,'String','SpecGen','FontWeight','bold','Color','w','Position',[0.6 -0.5 1 0.7]);

ha = axes('units','normalized','position',[0 0 1 1]);
uistack(ha,'bottom');
I=imread('sea_surface.jpg');
hi = imagesc(I);

handles.specgen.textwave1=annotation(handles.specgen.fig1,'textbox','EdgeColor','none','FontSize',12,'String','Wave 1','FontWeight','normal','Color','w','Position',[0.27 -0.14 1 0.7]);
handles.specgen.textwave2=annotation(handles.specgen.fig1,'textbox','EdgeColor','none','FontSize',12,'String','Wave 2','FontWeight','normal','Color','w','Position',[0.47 -0.14 1 0.7]);

handles.specgen.text0=annotation(handles.specgen.fig1,'textbox','EdgeColor','none','FontSize',12,'String','Project Name','Color','w','Position',[0.03 -0.05 1 0.7]);
handles.specgen.editbox0=uicontrol('style','edit','Units','Centimeters','Position',[3.6 6.5 5.5 0.7],'BackGroundColor','w','string','project example');

handles.specgen.text1=annotation(handles.specgen.fig1,'textbox','EdgeColor','none','FontSize',12,'String','Hs (m)','Color','w','Position',[0.03 -0.23 1 0.7]);
handles.specgen.editbox1a=uicontrol('style','edit','Units','Centimeters','Position',[3.6 4.5 2.5 0.7],'BackGroundColor','w','string','1.5');
handles.specgen.editbox1b=uicontrol('style','edit','Units','Centimeters','Position',[6.6 4.5 2.5 0.7],'BackGroundColor','w','string','6');

handles.specgen.text2=annotation(handles.specgen.fig1,'textbox','EdgeColor','none','FontSize',12,'String','Tp (s)','Color','w','Position',[0.03 -0.32 1 0.7]);
handles.specgen.editbox2a=uicontrol('style','edit','Units','Centimeters','Position',[3.6 3.5 2.5 0.7],'BackGroundColor','w','string','20');
handles.specgen.editbox2b=uicontrol('style','edit','Units','Centimeters','Position',[6.6 3.5 2.5 0.7],'BackGroundColor','w','string','10');

handles.specgen.text3=annotation(handles.specgen.fig1,'textbox','EdgeColor','none','FontSize',12,'String','Dir (deg)','Color','w','Position',[0.03 -0.41 1 0.7]);
handles.specgen.editbox3a=uicontrol('style','edit','Units','Centimeters','Position',[3.6 2.5 2.5 0.7],'BackGroundColor','w','string','180');
handles.specgen.editbox3b=uicontrol('style','edit','Units','Centimeters','Position',[6.6 2.5 2.5 0.7],'BackGroundColor','w','string','330');

handles.specgen.text4=annotation(handles.specgen.fig1,'textbox','EdgeColor','none','FontSize',12,'String','Dspr (deg)','Color','w','Position',[0.03 -0.5 1 0.7]);
handles.specgen.editbox4a=uicontrol('style','edit','Units','Centimeters','Position',[3.6 1.5 2.5 0.7],'BackGroundColor','w','string','15');
handles.specgen.editbox4b=uicontrol('style','edit','Units','Centimeters','Position',[6.6 1.5 2.5 0.7],'BackGroundColor','w','string','30');

% button 'Compute and Display'
handles.specgen.pushbutton1=uicontrol(handles.specgen.fig1,'style','pushbutton','Units','centimeters','Position',[10 2.5 4 1.7],...
    'String','Compute and Display','FontSize',10,'Callback',@compute_spec,'BackGroundColor',[0.95 0.95 0.95]);

% Subscribe values to structure and set to Userdata and GUIdata property
handles.specgen.folder=cd;
set(handles.specgen.fig1,'UserData',handles);
guidata(handles.specgen.fig1,handles);
