function rgb = rgbofv (v,r,c)

%
%  get rgb value(s) of value(s) in v from color map c and ranges r
%
%                     v < r(1)   ... c(1)
%           r(1)   <= v < r(2)   ... c(2)
%           r(2)   <= v < r(3)   ... c(3)
%           ...
%           r(n-1) <= v < r(n)   ... c(n)
%           r(n)   <  v        	 ... c(n+1)
%           
   
   nc= size(c,1);
   nr= length(r);
   nv= length(v);
   if (nv > 0 )
      if (nc ~= nr+1), error('Mismatch length ranges-colors'), end;
	  
      irgb = zeros(size(v));
      for i=1:nv
%
%        find rgbs for value v(i)
%
         x = v(i);
         j = 0;
         if (x < r(1))
            j = 1;   
         elseif (x >= r(nr))
            j = nr+1;
         else
	        for k=2:nr
	           if ( r(k-1) <= x & x < r(k) ), j=k;, break, end;
            end	
         end
	     irgb(i) = j;
      end
%
%     all found ?
%
      ino = find(irgb==0);
      if (length(ino) > 0) 
         error(['Value v ',num2str(v(ino)),' outside colorrange']);
	     irgb(ino)= (nr+1)*ones(size(ino));
      end
%
%     assign rgb
%
      rgb = c(irgb,:);

   else
      error ('Zero-length vector of values');
   end

   return
