function [dx] = z_steps(x)
%
%  function [dx] = z_steps(x)
%
%  Compute step size of a certain discretisation
%
if isempty(x);dx=[];return;end;
%
nx = length(x);
dx = x;          % set dummy array with correct size
%
for ix=2:nx-1
  dx(ix) = 0.5 * (x(ix+1) - x(ix-1));
end
%
%  compute spacing at start and end
%
if nx >= 4
  dx(1)  = dx(2)*dx(2)/dx(3);
  dx(nx) = dx(nx-1)*dx(nx-1)/dx(nx-2);
else
  dx(1)  = dx(2);
  dx(nx) = dx(nx-1);
end
%
return